- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# onyx_igmp_vlan – Configures IGMP Vlan parameters

New in version 2.8.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module provides declarative management of IGMP vlan configuration on Mellanox ONYX network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
mrouter - |  | Configure ip igmp snooping mrouter port on vlan
| name - / required |  | Configure mrouter interface
| state - | Choices: enabled ← disabled | Enable IGMP snooping mrouter on vlan interface.
querier - |  | Configure the IGMP querier parameters
| address - |  | Update IP address for the querier
| interval - |  | Update time interval between querier queries, range 60-600
| state - | Choices: enabled ← disabled | Enable IGMP snooping querier on vlan in the switch.
state - | Choices: enabled ← disabled | IGMP state.
static_groups - |  | List of IGMP static groups.
| multicast_ip_address - / required |  | Configure static IP multicast group, range 224.0.1.0-239.255.255.25.
| name - |  | interface name to configure static groups on it.
| sources - |  | List of IP sources to be configured
version - | Choices: V2 V3 | IGMP snooping operation version on this vlan
vlan_id - / required |  | VLAN ID, vlan should exist.

## Notes

Note

- Tested on ONYX 3.7.0932-01

## Examples

    - name: configure igmp vlan
      onyx_igmp_vlan:
        state: enabled
        vlan_id: 10
        version:
          V2
        querier:
          state: enabled
          interval: 70
          address: 10.11.121.13
        mrouter:
          state: disabled
          name: Eth1/2
        static_groups:
          - multicast_ip_address: 224.5.5.8
            name: Eth1/1
            sources:
              - 1.1.1.1
              - 1.1.1.2

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always | The list of configuration mode commands to send to the device. Sample: ['vlan 10 ip igmp snooping', 'vlan 10 ip igmp snooping static-group 224.5.5.5 interface ethernet 1/1']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Anas Badaha (@anasbadaha)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.